<template>
  <div>
    <b-navbar toggleable="lg" type="dark" variant="info">
      <b-navbar-brand href="#">GitHub</b-navbar-brand>
      <b-collapse id="nav-collapse" is-nav>
        <!-- Right aligned nav items -->
        <b-navbar-nav class="ml-auto">
          <b-nav-item-dropdown right>
            <!-- Using 'button-content' slot -->
            <template #button-content>
              <em>{{ userInfo.login || 'Settings' }}</em>
              <b-avatar class="mx-2" variant="info" :src="userInfo.avatar_url"></b-avatar>
            </template>
            <b-dropdown-item  @click="signOut">{{ userInfo.length !== 0 ? 'Sign out' : 'Login' }}</b-dropdown-item>
          </b-nav-item-dropdown>
        </b-navbar-nav>
      </b-collapse>
    </b-navbar>
  </div>
</template>

<script>
import {mapActions, mapState} from "vuex";

export default {
  computed: {
    ...mapState(['userInfo']),
  },
  methods: {
    ...mapActions(['signOut']),
  }
}
</script>
